%define major 1
%define gi_major 3.1
%define gi_version 3.6.0 

%define libnameburn3 %mklibname %name-burn3_ %major
%define libnamemedia3 %mklibname %name-media3_ %major
%define libnameutils3 %mklibname %name-utils3_ %major

%define girmedia %mklibname %name-media-gir %gi_major
%define girburn %mklibname %name-burn-gir %gi_major

%define develname %mklibname -d %name

Name: 	 	brasero
Summary: 	A disc burning application for GNOME
Summary(de):	Brasero die Brennanwendung für GNOME
Version: 	3.12.2
Release: 	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/3.1/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/brasero/
License:		GPLv2+
Group:		Archiving/Cd burning
#---------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}burn-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}isofs-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
#---------------------------------------------
Requires:	gnome-icon-theme
Requires:	gtk+3.0
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

#german
%description -l de
Brasero ist eine weitere CD / DVD Brennanwendung für den GNOME Desktop. 
Es ist so einfach wie möglich gehalten und hat ein paar einzigartige 
Funktionen die es dem Benutzer gestattet ihre eigenen CD's / DVD's 
einfach und schnell zu erstellen. Es kommt mit Audio und Daten CD's / 
DVD's klar und benutzt beide cdrkit oder libburn / libisofs zur 
Brennausgabe. 

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README
%{_bindir}/%{name}
%{_libdir}/%{name}3
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.brasero.gschema.xml
%{_datadir}/GConf/gsettings/brasero.convert
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/mime/packages/%{name}.xml

%{_libdir}/libbrasero-burn3.so.%{major}*
%{_libdir}/libbrasero-media3.so.%{major}*
%{_libdir}/libbrasero-utils3.so.%{major}*

%{_libdir}/girepository-1.0/BraseroBurn-%{gi_major}.typelib
%{_libdir}/girepository-1.0/BraseroMedia-%{gi_major}.typelib

%{_datadir}/appdata/brasero.appdata.xml

%package devel
Summary: A disc burning application for GNOME - development library
Summary(de): Brasero die Brennanwendung für GNOME - Entwicklerpaket
Group: Development/Libraries
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description devel
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

#german
%description devel -l de
Brasero ist eine weitere CD / DVD Brennanwendung für den GNOME Desktop. 
Es ist so einfach wie möglich gehalten und hat ein paar einzigartige 
Funktionen die es dem Benutzer gestattet ihre eigenen CD's / DVD's 
einfach und schnell zu erstellen. Es kommt mit Audio und Daten CD's / 
DVD's klar und benutzt beide cdrkit oder libburn / libisofs zur 
Brennausgabe.

Paket stellt die Entwicklerdateien für Brasere bereit.

%files devel
%defattr(-,root,root)
%{_libdir}/libbrasero-*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}3
%{_datadir}/gtk-doc/html/libbrasero*
%{_datadir}/gir-1.0/BraseroBurn-%{gi_major}.gir
%{_datadir}/gir-1.0/BraseroMedia-%{gi_major}.gir
#_________________________________________________________________________

%package doc
Summary:	Documetation for %{name}
Summary(de):	Dokumentation für %{name}
Group:		Documentation
Requires:	%{name} = %{version}

%description doc
Help files for %{name}

#german
%description doc -l de
Hilfedateien für %{name}.

%files doc
%defattr(-,root,root)
%_datadir/help/*/%{name}/*.page
%_datadir/help/*/%{name}/figures/*.png

#_____________________________________________________________

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
        --disable-nautilus \
        --enable-libburnia \
        --enable-playlist \
        --enable-preview \
        --enable-inotify \
        --disable-caches \
        --disable-static

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

sed -i 's/cd:x/cd;x/' $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name} --with-gnome

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%clean
rm -rf %{buildroot}


#____________________________________________________________________

%changelog
* Wed Sep 20 2017 threepio <threepio> 3.12.2-1uplos2015
- update

* Sat Jul 11 2015 bb <bb> 3.12.1-1pclos2015
- update

* Sat Jan 25 2014 bb <bb> 3.10.0-2pclos2014
- change to configure2_5x macro
- drop post ldconfig done automatically
- change rpmgroup for doc to Documentation
- add postun macro
- adjust BR

* Sat Jan 25 2014 daniel <meisssw01 at gmail.com> 3.10.0-1free2014
- bringing back without gnome intergration
- edit BR macros

